Supported .NET development software

IBM® Data Server Provider for .NET supports the following .NET Framework and Visual Studio versions.

Supported development software for .NET Framework applications

In addition to an IBM data server client or driver package, you need one of the supported tools to develop .NET Framework applications:
  • Visual Studio 2008
  • Visual Studio 2010
  • Visual Studio 2012
  • Visual Studio 2013
  • Visual Studio 2015
  • Visual Studio 2017
Important: Starting in Db2® Version 10.5 Fix Pack 5, the use of IBM data server products with Microsoft Visual Studio 2008 is deprecated.

Supported deployment software for .NET Framework applications

In addition to an IBM data server client or driver package, you need one of the following packages to deploy .NET Framework applications. In most cases, a .NET Framework redistributable package is included with a Windows installation.
  • .NET Framework Version 2.0 Redistributable Package
  • .NET Framework Version 3.0 Redistributable Package
  • .NET Framework Version 3.5 Redistributable Package
  • .NET Framework Version 4.0 Redistributable Package
  • .NET Framework Version 4.5, 4.6, 4.7 Redistributable Package

When you install a 64-bit IBM Data Server Package, both 32-bit and 64-bit providers are installed and configured.

If a .NET Framework is not installed, the IBM Data Server Client and driver installer will not install the IBM Data Server Provider for .NET. You must install the IBM Data Server Provider for .NET manually.